# My Sass Library
## Table of Contents
- [About](#about)
- [Structure](#structure)
- [Is it any good?](#is-it-any-good?)


## About
Just my collection of sassy snippets.


## Structure
This repo is using the 7-1 structure with the `main.scss` file exstracted in the actual project.
The used naming convention was chosen in order to show the added complexity of content when going down the directory list.


### Abstracts
... __(or utilities)__ holds anything that does not output any CSS when compiled.


### Base
... holds the boilerplate code which commonly imports also all your [abstracts](#abstracts) and gives you a good way to start any project.
This means that any project will usually start with `@import "base/all"` which imports the chosen base ([normalize](https://necolas.github.io/normalize.css/) in my case) and anything else choosen worthy.


### Components
... __(or modules)__ holds all of your reusable styles which are independend of any real structure.


### Layout
... contains all styles involved with the layout of your project.
Such as styles for your header, footer, navigation and the grid system.


### Pages
... any styles specific to individual pages will sit here.
For example it's not uncommon for the home page of your site to require page specific styles that no other page receives.


### Themes
... this is likely not used in many projects.
It would hold files that create project specific themes.
For example if sections of your site contain alternate color schemes.


### Vendors
... contains all third party code.


## Is it any good?
Yes!
